JUCE: GlowEffect Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GlowEffect Class Reference
juce_graphics » effects

A component effect that adds a coloured blur around the component's contents. More...

`#include <juce_GlowEffect.h>`

Inheritance diagram for GlowEffect:

## Public Member Functions
| GlowEffect ()
| Creates a default 'glow' effect.
| ~GlowEffect () override
| Destructor.
void | setGlowProperties (float newRadius, Colour newColour, Point< int > offset={})
| Sets the glow's radius and colour.
void | applyEffect (Image &, Graphics &, float scaleFactor, float alpha) override
| Overridden to render the effect.
Public Member Functions inherited from ImageEffectFilter
virtual | ~ImageEffectFilter ()=default
| Destructor.

## Detailed Description

A component effect that adds a coloured blur around the component's contents.

(This will only work on non-opaque components).

See also
  Component::setComponentEffect, DropShadowEffect

## Constructor & Destructor Documentation

## ◆ GlowEffect()

GlowEffect::GlowEffect | ( |  | ) |

Creates a default 'glow' effect.

To customise its appearance, use the setGlowProperties() method.

## ◆ ~GlowEffect()

GlowEffect::~GlowEffect | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setGlowProperties()

void GlowEffect::setGlowProperties | ( | float | newRadius,
|  | Colour | newColour,
|  | Point< int > | offset = `{}`
| ) |  |

Sets the glow's radius and colour.

The radius is how large the blur should be, and the colour is used to render it (for a less intense glow, lower the colour's opacity).

## ◆ applyEffect()

void GlowEffect::applyEffect | ( | Image & | sourceImage,
|  | Graphics & | destContext,
|  | float | scaleFactor,
|  | float | alpha
| ) |  |
| overridevirtual

Overridden to render the effect.

The implementation of this method must use the image that is passed in as its source, and should render its output to the graphics context passed in.

Parameters

  sourceImage | the image that the source component has just rendered with its paint() method. The image may or may not have an alpha channel, depending on whether the component is opaque.
  destContext | the graphics context to use to draw the resultant image.
  scaleFactor | a scale factor that has been applied to the image - e.g. if this is 2, then the image is actually scaled-up to twice the original resolution
  alpha | the alpha with which to draw the resultant image to the target context

Implements ImageEffectFilter.

The documentation for this class was generated from the following file:

- juce_GlowEffect.h